<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/PTree/Declaration.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis::PTree::Declaration</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">namespace <a href="../../Synopsis.html" >Synopsis</a>::<a href="../PTree.html" >PTree</a>
</div><div class="class-name">class Declaration

</div><div class="links"><div class="file">File: <a href="../../../File/Synopsis/PTree/Lists.hh.html" target="detail">../Synopsis/PTree/Lists.hh</a></div> <div class="xref"><a href="../../../XRef/xref3.html#Synopsis_mPTree_mDeclaration" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Lists.hh.html#line92" ><img src="../../../src-c++.png" alt="source code"/></a></div></div>  <img alt="Declaration-inheritance" src="Declaration-inheritance.png" hspace="8" vspace="8" border="0" usemap="#Declaration-inheritance_map" />
<map name="Declaration-inheritance_map"><area alt="Scopes/Synopsis/PTree/Typedef.html" href="Typedef.html" shape="rect" coords="5, 230, 176, 254" />
<area alt="Scopes/Synopsis/PTree/UsingDeclaration.html" href="UsingDeclaration.html" shape="rect" coords="200, 230, 419, 254" />
<area alt="Scopes/Synopsis/PTree/UsingDirective.html" href="UsingDirective.html" shape="rect" coords="443, 230, 648, 254" />
<area alt="Scopes/Synopsis/PTree/NamespaceAlias.html" href="NamespaceAlias.html" shape="rect" coords="672, 230, 885, 254" />
<area alt="Scopes/Synopsis/PTree/FunctionDefinition.html" href="FunctionDefinition.html" shape="rect" coords="909, 230, 1136, 254" />
<area alt="Scopes/Synopsis/PTree/List.html" href="List.html" shape="rect" coords="473, 81, 617, 105" />
<area alt="Scopes/Synopsis/PTree/Node.html" href="Node.html" shape="rect" coords="469, 6, 621, 30" />
</map>
 <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Public Member functions Summary:</div>
<div class="item"><div class="synopsis">&#160;<i>constructor</i> <a class="name" id="Declaration_lNode_S_cNode_S_r">Declaration</a>(<a href="Node.html" >Node</a>* <span class="variable">p</span>, <a href="Node.html" >Node</a>* <span class="variable">q</span>)  </div> <div class="xref"><a href="../../../XRef/xref3.html#Synopsis_mPTree_mDeclaration_mDeclaration_lNode_S_cNode_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Lists.hh.html#line95" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="accept_lVisitor_S_r">accept</a>(<a href="Visitor.html" >Visitor</a>* <span class="variable">visitor</span>)  </div> <div class="xref"><a href="../../../XRef/xref3.html#Synopsis_mPTree_mDeclaration_maccept_lVisitor_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Lists.hh.html#line96" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<a href="Node.html" >Node</a>* <a class="name" id="get_comments_l_r">get_comments</a>()  </div> <div class="xref"><a href="../../../XRef/xref3.html#Synopsis_mPTree_mDeclaration_mget_comments_l_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Lists.hh.html#line97" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="set_comments_lNode_S_r">set_comments</a>(<a href="Node.html" >Node</a>* <span class="variable">c</span>)  </div> <div class="xref"><a href="../../../XRef/xref3.html#Synopsis_mPTree_mDeclaration_mset_comments_lNode_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Lists.hh.html#line98" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Private Data members Summary:</div>
<div class="item"><div class="synopsis"><a href="Node.html" >Node</a>* <a class="name" id="my_comments">my_comments</a></div> <div class="xref"><a href="../../../XRef/xref3.html#Synopsis_mPTree_mDeclaration_mmy_comments" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Lists.hh.html#line101" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<table width="100%" summary="Public Member functions Inherited from List">
<tr><td colspan="2" class="heading">Public Member functions Inherited from List</td></tr>
<tr><td class="inherited"><a href="List.html#is_atom_l_rconst" title="member function List::is_atom&#40;&#41;const">is_atom</a></td></tr></table>
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:27:45 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
